Search impacted resources for a customer insight row using smart filters.
post
/sia/v1/impact/event/{eventId}/customerInsights/{customerId}/resources/search
Returns paginated impacted resources for one customer within an event after applying smart search style filters.
Request
Path Parameters
-
customerId(required): string
The customer id.Example:
300203 -
eventId(required): string
The event document id.Example:
UELINK5003
Query Parameters
-
limit: integer(int32)
Minimum Value:
1Requested impacted-resource page size. If omitted, the Smart Search select-all limit is used. This value is not capped by impact.customerInsights.customerLimit. -
offset: integer(int32)
Minimum Value:
0Zero-based impacted-resource offset. If omitted, the offset is 0.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
filters: array
filters
Applied smart search filters for customer insights.
-
searchTerms: string
Free-text search terms for customer insights.
Nested Schema : FilterChip
Type:
Show Source
object-
filter: string
Name of the smart search filter.
-
value:
value
Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Nested Schema : value
Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Match One Schema
Show Source
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Customer insight impacted resources retrieved successfully.
Root Schema : CustomerImpactResourcesResponse
Type:
objectPaginated impacted resources for one customer insight row.
Show Source
-
customerId: string
Customer id whose impacted resources are returned.
-
eventId: string
Event document id.
-
limit: integer
(int32)
Minimum Value:
1Effective impacted-resource page size. -
offset: integer
(int32)
Minimum Value:
0Zero-based impacted-resource offset used for this page. -
resources: array
resources
Current page of impacted resources, sorted by resource name.
-
totalResources: integer
(int32)
Total number of impacted resources matching the request, independent of pagination.
Nested Schema : resources
Type:
arrayCurrent page of impacted resources, sorted by resource name.
Show Source
-
Array of:
object CustomerImpactResource
Impacted resource or service associated with a customer.
Nested Schema : CustomerImpactResource
Type:
objectImpacted resource or service associated with a customer.
Show Source
400 Response
The request isn't valid
401 Response
The request is unauthorized
403 Response
The request is forbidden
500 Response
An Internal Server Error has occurred